Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface WebServerMBean

All Known Subinterfaces:
  VirtualHostMBean

public interface WebServerMBean
extends DeploymentMBean

This bean represents the configuration of virtual web server within a WebLogic Server instance. Note that a server may define multiple web servers to support virtual hosts.

This MBean represents a virtual host.

Field Summary
`static long` | `CACHING_STUB_SVUID`
`static java.lang.String` | `DEFAULT_LOG_FILE_NAME`
`static java.lang.String` | `TIME_FORMAT` The format string for log file rotation start time.

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.util.Map` | `getCharsets()`
`java.lang.String` | `getDefaultServerName()` Deprecated.
`WebAppComponentMBean` | `getDefaultWebApp()`
`java.lang.String` | `getFrontendHost()` Sets the HTTP frontendHost
`int` | `getFrontendHTTPPort()` Sets the frontendHTTPPort
`int` | `getFrontendHTTPSPort()` Sets the frontendHTTPSPort
`int` | `getHttpsKeepAliveSecs()` Number of seconds to maintain HTTPS keep-alive before timing out the request.
`int` | `getKeepAliveSecs()` Number of seconds to maintain HTTP keep-alive before timing out the request.
`int` | `getLogFileBufferKBytes()`
`int` | `getLogFileFlushSecs()` The interval (in seconds) at which the server checks the size of the buffer that stores HTTP requests.
`java.lang.String` | `getLogFileFormat()` Specifies the format of the HTTP log file.
`java.lang.String` | `getLogFileName()` The name of the file that stores the HTTP-request log.
`int` | `getLogRotationPeriodMins()` The interval (in minutes) at which the server saves old HTTP requests to another log file.
`java.lang.String` | `getLogRotationTimeBegin()` Determines the start time for a time-based rotation sequence.
`java.lang.String` | `getLogRotationType()` Criteria for moving old HTTP requests to a separate log file: `size`.
`boolean` | `getLogTimeInGMT()` Specifies whether the time stamps for HTTP log messages are in Greenwich Mean Time (GMT) regardless of the local time zone that the host computer specifies.
`int` | `getMaxLogFileSizeKBytes()` The size (1 - 65535 kilobytes) that triggers the server to move log messages to a separate file.
`int` | `getMaxPostSize()`
`int` | `getMaxPostTimeSecs()`
`int` | `getPostTimeoutSecs()`
`java.util.Map` | `getURLResource()`
`int` | `getWriteChunkBytes()`
`boolean` | `isAcceptContextPathInGetRealPath()`
`boolean` | `isAuthCookieEnabled()`
`boolean` | `isChunkedTransferDisabled()`
`boolean` | `isClusteringEnabled()` Deprecated.
`boolean` | `isDebugEnabled()`
`boolean` | `isEventsEnabled()`
`boolean` | `isKeepAliveEnabled()`
`boolean` | `isLoggingEnabled()`
`boolean` | `isSendServerHeaderEnabled()` Indicates whether this server instance includes its name and WebLogic Server version number in HTTP response headers.
`boolean` | `isSingleSignonDisabled()`
`boolean` | `isUseHeaderEncoding()`
`boolean` | `isUseHighestCompatibleHTTPVersion()`
`boolean` | `isWAPEnabled()`
`void` | `setAcceptContextPathInGetRealPath(boolean enable)` Beginning with this release inclusion of the contextPath in the virtualPath to the context.getRealPath() will not be allowed as it breaks the case when the subdirectories have the same name as contextPath.
`void` | `setAuthCookieEnabled(boolean enable)` Enables use of additional secure AuthCookie to make access to https pages with security constraints more secure.
`void` | `setCharsets(java.util.Map charsets)` User defined mapping between internet and Java charset names
`void` | `setChunkedTransferDisabled(boolean disable)` Disables the use of Chunk Transfer-Encoding in HTTP/1.1
`void` | `setClusteringEnabled(boolean enable)` Deprecated.
`void` | `setDefaultServerName(java.lang.String serverName)` Deprecated.
`void` | `setDefaultWebApp(WebAppComponentMBean context)` Servlet 2.3 Web Application that maps to the "default" servlet context (where ContextPath = "/")
`void` | `setFrontendHost(java.lang.String hostName)`
`void` | `setFrontendHTTPPort(int httpPort)`
`void` | `setFrontendHTTPSPort(int httpsPort)`
`void` | `setHttpsKeepAliveSecs(int secs)`
`void` | `setKeepAliveEnabled(boolean enabled)` Returns whether or not HTTP keep-alive is enabled
`void` | `setKeepAliveSecs(int secs)`
`void` | `setLogFileBufferKBytes(int kbytes)` The maximum size (in kilobytes) of the buffer that stores HTTP requests.
`void` | `setLogFileFlushSecs(int secs)`
`void` | `setLogFileFormat(java.lang.String format)` Sets the format of the HTTP log file.
`void` | `setLogFileName(java.lang.String fileName)`
`void` | `setLoggingEnabled(boolean enable)` Enables logging of HTTP requests.
`void` | `setLogRotationPeriodMins(int mins)`
`void` | `setLogRotationTimeBegin(java.lang.String when)`
`void` | `setLogRotationType(java.lang.String type)`
`void` | `setLogTimeInGMT(boolean useGMT)`
`void` | `setMaxLogFileSizeKBytes(int kbytes)` The size (1 - 65535 kilobytes) that triggers the server to move log messages to a separate file.
`void` | `setMaxPostSize(int bytes)` Max Post Size (in bytes) for reading HTTP POST data in a servlet request.
`void` | `setMaxPostTimeSecs(int secs)` Max Post Time (in seconds) for reading HTTP POST data in a servlet request.
`void` | `setPostTimeoutSecs(int secs)` Timeout (in seconds) for reading HTTP POST data in a servlet request.
`void` | `setSendServerHeaderEnabled(boolean enabled)` Determines whether this server instance includes its name and WebLogic Server version number in HTTP response headers.
`void` | `setSingleSignonDisabled(boolean disable)` Disables SingleSignon in webapps
`void` | `setURLResource(java.util.Map resource)` Adds a URL connection factory resource into JNDI
`void` | `setUseHeaderEncoding(boolean disable)` Enables use of Content-Type encoding for specific headers that are known to contain non-ISO-8859_1 characters.
`void` | `setUseHighestCompatibleHTTPVersion(boolean disable)` Enables use of the highest compatible HTTP protocol version-string in the response.
`void` | `setWAPEnabled(boolean enable)` Enables WAP

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

### TIME_FORMAT

    public static final java.lang.String TIME_FORMAT

  The format string for log file rotation start time.

### DEFAULT_LOG_FILE_NAME

    public static final java.lang.String DEFAULT_LOG_FILE_NAME

Method Detail

### setLoggingEnabled

    public void setLoggingEnabled(boolean enable)

  Enables logging of HTTP requests.

  A configurable MBean attribute
  Default Value: true
  Old Property: weblogic.httpd.enableLogFile
  Secure Value: true

### isLoggingEnabled

    public boolean isLoggingEnabled()

### getLogFileFormat

    public java.lang.String getLogFileFormat()

  Specifies the format of the HTTP log file. Both formats are defined by the W3C. With the extended log format, you use server directives in the log file to customize the information that the server records.

  A configurable MBean attribute
  Default Value: "common"
  Old Property: weblogic.httpd.logFileFormat
  Legal Values: "common","extended"

### setLogFileFormat

    public void setLogFileFormat(java.lang.String format)
                          throws javax.management.InvalidAttributeValueException,
                                 DistributedManagementException

  Sets the format of the HTTP log file. Both formats are defined by the W3C. With the extended log format, you use server directives in the log file to customize the information that the server records.

### getLogTimeInGMT

    public boolean getLogTimeInGMT()

  Specifies whether the time stamps for HTTP log messages are in Greenwich Mean Time (GMT) regardless of the local time zone that the host computer specifies.

  Use this method to comply with the W3C specification for Extended Format Log Files. The specification states that all time stamps for Extended Format log entries be in GMT.

  This method applies only if you have specified the `extended` message format.

  A configurable MBean attribute
  Default Value: false

### setLogTimeInGMT

    public void setLogTimeInGMT(boolean useGMT)

### getLogFileName

    public java.lang.String getLogFileName()

  The name of the file that stores the HTTP-request log. If the pathname is not absolute, the path is assumed to be relative to the server's root directory.

  This value is relevant only if HTTP logging is enabled.

  The current logfile is always the one whose name equals value of the this attribute. If you have enabled log file rotation, when the current file exceeds the size or time limit, it is renamed.

  To include a time and date stamp in the file name when the log file is rotated, add `java.text.SimpleDateFormat` variables to the file name. Surround each variable with percentage (`%`) characters.

  For example, if the file name is defined to be `access_%yyyy%_%MM%_%dd%_%hh%_%mm%.log`, the log file will be named `access_yyyy_mm_dd_hh_mm.log`.

  When the log file is rotated, the rotated file name contains the date stamp. For example, if the log file is rotated on 2 April, 2003 at 10:05 AM, the log file that contains the old messages will be named `access_2003_04_02_10_05.log`.

  If you do not include a time and date stamp, the rotated log files are numbered in order of creation. For example, `access.log0007`.

  A configurable MBean attribute
  Default Value: DEFAULT_LOG_FILE_NAME
  Old Property: weblogic.httpd.logFileName

### setLogFileName

    public void setLogFileName(java.lang.String fileName)
                        throws javax.management.InvalidAttributeValueException

### getFrontendHost

    public java.lang.String getFrontendHost()

  Sets the HTTP frontendHost

  A configurable MBean attribute
  Default Value: null
  Old Property: weblogic.httpd.defaultServerName

### setFrontendHost

    public void setFrontendHost(java.lang.String hostName)
                         throws javax.management.InvalidAttributeValueException

### getFrontendHTTPPort

    public int getFrontendHTTPPort()

  Sets the frontendHTTPPort

  A configurable MBean attribute
  Default Value: 0

### setFrontendHTTPPort

    public void setFrontendHTTPPort(int httpPort)
                             throws javax.management.InvalidAttributeValueException

### getFrontendHTTPSPort

    public int getFrontendHTTPSPort()

  Sets the frontendHTTPSPort

  A configurable MBean attribute
  Default Value: 0

### setFrontendHTTPSPort

    public void setFrontendHTTPSPort(int httpsPort)
                              throws javax.management.InvalidAttributeValueException

### setLogFileBufferKBytes

    public void setLogFileBufferKBytes(int kbytes)
                                throws javax.management.InvalidAttributeValueException

  The maximum size (in kilobytes) of the buffer that stores HTTP requests. When the buffer reaches this size, the server writes the data to the HTTP log file. Use the `LogFileFlushSecs` property to determine the frequency with which the server checks the size of the buffer.

  A configurable MBean attribute
  Default Value: 8
  Old Property: weblogic.httpd.logFileBufferKBytes
  Legal Minimum Value: 0
  Legal Maximum Value: 1024

### getLogFileBufferKBytes

    public int getLogFileBufferKBytes()

### getMaxLogFileSizeKBytes

    public int getMaxLogFileSizeKBytes()

  The size (1 - 65535 kilobytes) that triggers the server to move log messages to a separate file. After the log file reaches the specified size, the next time the server checks the file size, it will rename the current log file as `FileName.n` and create a new one to store subsequent messages.

  `0` causes the file to grow indefinitely.

  This property is relevant only if you choose to rotate files by `size`.

  A configurable MBean attribute
  Default Value: 0
  Old Property: weblogic.httpd.maxLogFileSizeKBytes
  Legal Minimum Value: 0

### setMaxLogFileSizeKBytes

    public void setMaxLogFileSizeKBytes(int kbytes)
                                 throws javax.management.InvalidAttributeValueException

  The size (1 - 65535 kilobytes) that triggers the server to move log messages to a separate file. After the log file reaches the specified size, the next time the server checks the file size, it will rename the current log file as `FileName.n` and create a new one to store subsequent messages.

  `0` causes the file to grow indefinitely.

  This property is relevant only if you choose to rotate files by `size`.

  Parameters:
    `kbytes` - The new maxLogFileSizeKBytes value
  Throws:
    javax.management.InvalidAttributeValueException -

### getLogRotationType

    public java.lang.String getLogRotationType()

  Criteria for moving old HTTP requests to a separate log file:
  - `size`. When the log file reaches the size that you specify in `MaxLogFileSizeKBytes`, the server renames the file as `LogFileName.n`.
  - `date`. At each time interval that you specify in `LogRotationPeriodMin`, the server renames the file as `LogFileName.n`.

  After the server renames a file, subsequent messages accumulate in a new file with the name that you specified in `LogFileName`.

  A configurable MBean attribute
  Default Value: "size"
  Old Property: weblogic.httpd.logRotationType
  Legal Values: "size","date"

### setLogRotationType

    public void setLogRotationType(java.lang.String type)
                            throws javax.management.InvalidAttributeValueException

### getLogRotationPeriodMins

    public int getLogRotationPeriodMins()

  The interval (in minutes) at which the server saves old HTTP requests to another log file. This value is relevant only if you use the `date`-based rotation type.

  A configurable MBean attribute
  Default Value: 1440
  Old Property: weblogic.httpd.logRotationPeriodMins
  Legal Minimum Value: 1
  Legal Maximum Value: 2147483647

### setLogRotationPeriodMins

    public void setLogRotationPeriodMins(int mins)
                                  throws javax.management.InvalidAttributeValueException

### getLogFileFlushSecs

    public int getLogFileFlushSecs()

  The interval (in seconds) at which the server checks the size of the buffer that stores HTTP requests. When the buffer exceeds the size that is specified in the `LogFileBufferKBytes` property, the server writes the data in the buffer to the HTTP request log file.

  A configurable MBean attribute
  Default Value: 60
  Old Property: weblogic.httpd.logFileFlushSecs
  Legal Minimum Value: 1
  Legal Maximum Value: 360

### setLogFileFlushSecs

    public void setLogFileFlushSecs(int secs)
                             throws javax.management.InvalidAttributeValueException

### getLogRotationTimeBegin

    public java.lang.String getLogRotationTimeBegin()

  Determines the start time for a time-based rotation sequence. At the time that this value specifies, the server renames the current log file. Thereafter, the server renames the log file at an interval that you specify in `LogRotationPeriodMins`.

  Use the following format: `MM-dd-yyyy-k:mm:ss` where

  - `MM` is the month as expressed in the Gregorian calendar
  - `dd` is the day of the month
  - `yyyy` is the year
  - `k` is the hour in a 24-hour format.
  - `mm` is the minute
  - `ss` is the second
  If the time that you specify has already past, then the server starts its file rotation immediately.

  By default, rotation starts 24 hours from the time that you restart the server instance.

  A configurable MBean attribute
  Old Property: weblogic.httpd.logRotationPeriodMins
  Legal Value: weblogic.management.configuration.LoggingLegalHelper.isLogStartTimeValid(weblogic.management.configuration.WebServerMBean.TIME_FORMAT, value)
  Returns:
    The logRotationTimeBegin value

### setLogRotationTimeBegin

    public void setLogRotationTimeBegin(java.lang.String when)
                                 throws javax.management.InvalidAttributeValueException

### setKeepAliveEnabled

    public void setKeepAliveEnabled(boolean enabled)

  Returns whether or not HTTP keep-alive is enabled

  Default Value: true
  Old Property: weblogic.httpd.keepAlive.enable
  Secure Value: true

### isKeepAliveEnabled

    public boolean isKeepAliveEnabled()

### getKeepAliveSecs

    public int getKeepAliveSecs()

  Number of seconds to maintain HTTP keep-alive before timing out the request.

  Default Value: 30
  Old Property: weblogic.httpd.http.keepAliveSecs
  Legal Minimum Value: 5
  Legal Maximum Value: 300
  Secure Value: 30

### setKeepAliveSecs

    public void setKeepAliveSecs(int secs)
                          throws javax.management.InvalidAttributeValueException

### getHttpsKeepAliveSecs

    public int getHttpsKeepAliveSecs()

  Number of seconds to maintain HTTPS keep-alive before timing out the request.

  Default Value: 60
  Old Property: weblogic.httpd.https.keepAliveSecs
  Legal Minimum Value: 30
  Legal Maximum Value: 360
  Secure Value: 60

### setHttpsKeepAliveSecs

    public void setHttpsKeepAliveSecs(int secs)
                               throws javax.management.InvalidAttributeValueException

### setPostTimeoutSecs

    public void setPostTimeoutSecs(int secs)
                            throws javax.management.InvalidAttributeValueException

  Timeout (in seconds) for reading HTTP POST data in a servlet request.

  Default Value: 30
  Old Property: weblogic.httpd.postTimeoutSecs
  Legal Minimum Value: 0
  Legal Maximum Value: 120
  Secure Value: 30

### getPostTimeoutSecs

    public int getPostTimeoutSecs()

### setMaxPostTimeSecs

    public void setMaxPostTimeSecs(int secs)
                            throws javax.management.InvalidAttributeValueException

  Max Post Time (in seconds) for reading HTTP POST data in a servlet request. MaxPostTime < 0 means unlimited

  Default Value: -1

### getMaxPostTimeSecs

    public int getMaxPostTimeSecs()

### setMaxPostSize

    public void setMaxPostSize(int bytes)
                        throws javax.management.InvalidAttributeValueException

  Max Post Size (in bytes) for reading HTTP POST data in a servlet request. MaxPostSize < 0 means unlimited

  Default Value: -1

### getMaxPostSize

    public int getMaxPostSize()

### setSendServerHeaderEnabled

    public void setSendServerHeaderEnabled(boolean enabled)

  Determines whether this server instance includes its name and WebLogic Server version number in HTTP response headers. Providing this information poses a potential security risk if an attacker knows about some vulnerability in a specific version of WebLogic Server.

  Default Value: false
  Secure Value: false

### isSendServerHeaderEnabled

    public boolean isSendServerHeaderEnabled()

  Indicates whether this server instance includes its name and WebLogic Server version number in HTTP response headers.

### setDefaultWebApp

    public void setDefaultWebApp(WebAppComponentMBean context)

  Servlet 2.3 Web Application that maps to the "default" servlet context (where ContextPath = "/")

  A dynamic MBean attribute
  Default Value: null
  Old Property: weblogic.httpd.defaultWebApp

### getDefaultWebApp

    public WebAppComponentMBean getDefaultWebApp()

### setCharsets

    public void setCharsets(java.util.Map charsets)
                     throws javax.management.InvalidAttributeValueException

  User defined mapping between internet and Java charset names

  Default Value: null
  Old Property: weblogic.httpd.charsets

### getCharsets

    public java.util.Map getCharsets()

### setURLResource

    public void setURLResource(java.util.Map resource)
                        throws javax.management.InvalidAttributeValueException

  Adds a URL connection factory resource into JNDI

  Default Value: null
  Old Property: weblogic.httpd.URLResource

### getURLResource

    public java.util.Map getURLResource()

### setChunkedTransferDisabled

    public void setChunkedTransferDisabled(boolean disable)

  Disables the use of Chunk Transfer-Encoding in HTTP/1.1

  A configurable MBean attribute
  Default Value: false

### isChunkedTransferDisabled

    public boolean isChunkedTransferDisabled()

### setUseHighestCompatibleHTTPVersion

    public void setUseHighestCompatibleHTTPVersion(boolean disable)

  Enables use of the highest compatible HTTP protocol version-string in the response. E.g. HTTP spec suggests that HTTP/1.1 version-string should be used in response to a request using HTTP/1.0. This does not necessarily affect the response format.

  A configurable MBean attribute
  Default Value: false

### isUseHighestCompatibleHTTPVersion

    public boolean isUseHighestCompatibleHTTPVersion()

### setUseHeaderEncoding

    public void setUseHeaderEncoding(boolean disable)

  Enables use of Content-Type encoding for specific headers that are known to contain non-ISO-8859_1 characters.

  A configurable MBean attribute
  Default Value: false
  Secure Value: false

### isUseHeaderEncoding

    public boolean isUseHeaderEncoding()

### setAuthCookieEnabled

    public void setAuthCookieEnabled(boolean enable)

  Enables use of additional secure AuthCookie to make access to https pages with security constraints more secure. The session cookie will not be sufficient to gain access.

  A configurable MBean attribute
  Default Value: false
  Secure Value: true

### isAuthCookieEnabled

    public boolean isAuthCookieEnabled()

### getWriteChunkBytes

    public int getWriteChunkBytes()

### isDebugEnabled

    public boolean isDebugEnabled()

### isEventsEnabled

    public boolean isEventsEnabled()

### setWAPEnabled

    public void setWAPEnabled(boolean enable)

  Enables WAP

  Default Value: false

### isWAPEnabled

    public boolean isWAPEnabled()

### setAcceptContextPathInGetRealPath

    public void setAcceptContextPathInGetRealPath(boolean enable)

  Beginning with this release inclusion of the contextPath in the virtualPath to the context.getRealPath() will not be allowed as it breaks the case when the subdirectories have the same name as contextPath. In order to support applications which might have been developed according to the old behaviour we are providing a compatibility switch. This switch will be deprecated in future releases.

  Default Value: false

### isAcceptContextPathInGetRealPath

    public boolean isAcceptContextPathInGetRealPath()

### setSingleSignonDisabled

    public void setSingleSignonDisabled(boolean disable)

  Disables SingleSignon in webapps

  Default Value: false

### isSingleSignonDisabled

    public boolean isSingleSignonDisabled()

### setClusteringEnabled

    public void setClusteringEnabled(boolean enable)

  Deprecated.
  Enables HTTP clustering

  Default Value: false
  Old Property: weblogic.httpd.clustering.enable
  Secure Value: false

### isClusteringEnabled

    public boolean isClusteringEnabled()

  Deprecated.

### getDefaultServerName

    public java.lang.String getDefaultServerName()

  Deprecated.
  Sets the HTTP defaultServerName

  A configurable MBean attribute
  Default Value: null
  Old Property: weblogic.httpd.defaultServerName

### setDefaultServerName

    public void setDefaultServerName(java.lang.String serverName)
                              throws javax.management.InvalidAttributeValueException

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference